
Redmine - Defect #24835

Updatet db:migrate - kaminari syntax error, unexpected tLABEL

2017-01-15 11:22 - Roman Pickl

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.2

Description

when trying to upgrade to 3.3.2 I get the following error:

root@host:/var/www/redmine-intern/redmine# ruby --version

ruby 1.9.3p484 (2013-11-22 revision 43786) [x86_64-linux]

root@host:/var/www/redmine-intern/redmine# rake --version

rake, version 12.0.0

root@host:/var/www/redmine-intern/redmine# rails --version

Expected string default value for '--rc'; got false (boolean)

Rails 4.2.7.1

root@host:/var/www/redmine-intern/redmine# bundle exec rake db:migrate RAILS_ENV=production

Your Gemfile lists the gem simplecov-rcov (>= 0) more than once.

You should probably keep only one of them.

While it's not a problem now, it could cause errors if you change the version of just one of them later.

rake aborted!

SyntaxError: /var/lib/gems/1.9.1/gems/kaminari-core-1.0.0/lib/kaminari/helpers/paginator.rb:9: syntax error, unexpected tLABEL

...ef initialize(template, window: nil, outer_window: nil, left...

...                               ^

/var/lib/gems/1.9.1/gems/kaminari-core-1.0.0/lib/kaminari/helpers/paginator.rb:9: Can't assign to nil

...itialize(template, window: nil, outer_window: nil, left: nil...

...                               ^

/var/lib/gems/1.9.1/gems/kaminari-core-1.0.0/lib/kaminari/helpers/paginator.rb:9: Can't assign to nil

...window: nil, outer_window: nil, left: nil, right: nil, inner...

...                               ^

/var/lib/gems/1.9.1/gems/kaminari-core-1.0.0/lib/kaminari/helpers/paginator.rb:9: Can't assign to nil

..., outer_window: nil, left: nil, right: nil, inner_window: ni...

...                               ^

/var/lib/gems/1.9.1/gems/kaminari-core-1.0.0/lib/kaminari/helpers/paginator.rb:9: Can't assign to nil

...ow: nil, left: nil, right: nil, inner_window: nil, **options...

...                               ^

/var/lib/gems/1.9.1/gems/kaminari-core-1.0.0/lib/kaminari/helpers/paginator.rb:9: Can't assign to nil

... right: nil, inner_window: nil, **options) #:nodoc:

...                               ^

/var/lib/gems/1.9.1/gems/kaminari-core-1.0.0/lib/kaminari/helpers/paginator.rb:85: class definition in method body

/var/lib/gems/1.9.1/gems/kaminari-core-1.0.0/lib/kaminari/helpers/paginator.rb:189: syntax error, unexpected keyword_end, expecting

$end

/var/lib/gems/1.9.1/gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `require'

/var/lib/gems/1.9.1/gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `block in require'

/var/lib/gems/1.9.1/gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:240:in `load_dependency'

/var/lib/gems/1.9.1/gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `require'

/var/lib/gems/1.9.1/gems/kaminari-core-1.0.0/lib/kaminari/core.rb:15:in `<top (required)>'

/var/lib/gems/1.9.1/gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `require'

/var/lib/gems/1.9.1/gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `block in require'

/var/lib/gems/1.9.1/gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:240:in `load_dependency'

/var/lib/gems/1.9.1/gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `require'

/var/lib/gems/1.9.1/gems/kaminari-1.0.0/lib/kaminari.rb:2:in `<top (required)>'

/var/lib/gems/1.9.1/gems/bundler-1.7.2/lib/bundler/runtime.rb:76:in `require'

/var/lib/gems/1.9.1/gems/bundler-1.7.2/lib/bundler/runtime.rb:76:in `block (2 levels) in require'

/var/lib/gems/1.9.1/gems/bundler-1.7.2/lib/bundler/runtime.rb:72:in `each'

/var/lib/gems/1.9.1/gems/bundler-1.7.2/lib/bundler/runtime.rb:72:in `block in require'

/var/lib/gems/1.9.1/gems/bundler-1.7.2/lib/bundler/runtime.rb:61:in `each'

/var/lib/gems/1.9.1/gems/bundler-1.7.2/lib/bundler/runtime.rb:61:in `require'
/var/lib/gems/1.9.1/gems/bundler-1.7.2/lib/bundler.rb:133:in `require'

/var/www/redmine-intern/redmine/config/application.rb:5:in `<top (required)>'

/var/www/redmine-intern/redmine/Rakefile:5:in `require'

/var/www/redmine-intern/redmine/Rakefile:5:in `<top (required)>'

/var/lib/gems/1.9.1/gems/rake-12.0.0/exe/rake:27:in `<top (required)>'

(See full trace by running task with --trace)

History

#1 - 2017-01-15 11:27 - Roman Pickl

Previous version 3.3.1

#2 - 2017-01-15 12:20 - Toshi MARUYAMA

- Category deleted (Database)

- Status changed from New to Closed

- Resolution set to Invalid

Redmine core does not use kaminari.

#3 - 2017-01-15 16:54 - Roman Pickl

most probably caused by redmine_ckeditor.

updated ruby to 2.3. works now.
